%define realname jscall-sharp
%define realver SVN20060928
 
Name: lib%realname
Version: 0.0.2
Release: alt0.%realver.1.1

Summary: JSCall is a simple (experimental) JavaScript bridge for Gecko\#
License: BSD
Group: Development/Other
URL: svn://svn.myrealbox.com/source/trunk/jscall-sharp
Packager: Mono Maintainers Team <mono@packages.altlinux.org>
Source: %realname-%realver.tb2
Patch: %name-alt-build.patch
Patch1: %name-alt-mozhack.patch
# TODO mozhack binds us to mozilla/seamonkey

BuildPreReq: rpm-build-mono
BuildPreReq: mono-devel >= 1.1.9
BuildPreReq: libgtk-sharp2-devel >= 2.4
BuildPreReq: libgecko-sharp2-devel >= 0.10
BuildPreReq: mozilla-devel >= 1.0
BuildPreReq: libgtk+2-devel >= 2.6.0
BuildRequires: /proc
# Automatically added by buildreq on Tue Oct 03 2006
BuildRequires: gcc-c++ mono-mcs

%description
JSCall is a simple JavaScript bridge for Gecko#. It's an interim solution
until someone writes a proper XPCOM bridge for Mono, and uses unmanaged code
and P/Invoke to invoke Gecko's XPCOM components from managed code. It should
work with any .NET language, but I've referred to C# for simplicity. I don't
expect many people to use this, so the documentation is little more than
minimal; please contact me <m.j.hutchinson@gmail.com> if you need help
working out how it works.

%package devel
Summary: Files for development with %name - experimental JavaScript bridge
Group: Development/Other
Requires: %name = %version-%release

%description devel
The %name-devel package development files for JSCall - simple (experimental)
JavaScript bridge for Gecko\#

%prep
%setup -q -n %realname
%patch -p1
%patch1 -p1

%build
./autogen.sh
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install
pushd %buildroot%_monodir/%realname
	ln -s ../gac/*/*/*dll{,.config} .
popd
ln -s README src/jscallglue/jscallglue-README

%files
%_monogacdir/*
%_monodir/%realname
%_libdir/libjscallglue*so
%doc AUTHORS COPYING ChangeLog README src/jscallglue/jscallglue-README

%files devel
%_pkgconfigdir/*

%changelog
* Sun Mar 25 2007 Ildar Mulyukov <ildar@altlinux.ru> 0.0.2-alt0.SVN20060928.1.1
- rebuild

* Wed Oct 18 2006 Ildar Mulyukov <ildar@altlinux.ru> 0.0.2-alt0.SVN20060928.1
- fix x86_64 build through %name-alt-build.patch

* Tue Oct 03 2006 Ildar Mulyukov <ildar@altlinux.ru> 0.0.2-alt0.SVN20060928
- Initial build from SVN
